JUCE: OpenGLImageType Class Reference

JUCE

Public Member Functions | Static Public Member Functions | List of all members
OpenGLImageType Class Reference
juce_opengl » opengl

A type of ImagePixelData that stores its image data in an OpenGL framebuffer, allowing a JUCE Image object to wrap a framebuffer. More...

`#include <juce_OpenGLImage.h>`

Inheritance diagram for OpenGLImageType:

## Public Member Functions
| OpenGLImageType ()
| ~OpenGLImageType () override
ImagePixelData::Ptr | create (Image::PixelFormat, int width, int height, bool shouldClearImage) const override
| Creates a new image of this type, and the specified parameters. More...
int | getTypeID () const override
| Must return a unique number to identify this type. More...
Public Member Functions inherited from ImageType
| ImageType ()
virtual | ~ImageType ()
virtual ImagePixelData::Ptr | create (Image::PixelFormat, int width, int height, bool shouldClearImage) const =0
| Creates a new image of this type, and the specified parameters. More...
virtual int | getTypeID () const =0
| Must return a unique number to identify this type. More...
virtual Image | convert (const Image &source) const
| Returns an image which is a copy of the source image, but using this type of storage mechanism. More...

## Static Public Member Functions
static OpenGLFrameBuffer * | getFrameBufferFrom (const Image &)

## Detailed Description

A type of ImagePixelData that stores its image data in an OpenGL framebuffer, allowing a JUCE Image object to wrap a framebuffer.

By creating an Image from an instance of an OpenGLFrameBufferImage, you can then use a Graphics object to draw into the framebuffer using normal JUCE 2D operations.

See also
  Image, ImageType, ImagePixelData, OpenGLFrameBuffer

## Constructor & Destructor Documentation

## ◆ OpenGLImageType()

OpenGLImageType::OpenGLImageType | ( |  | ) |

## ◆ ~OpenGLImageType()

OpenGLImageType::~OpenGLImageType | ( |  | ) |
| override

## Member Function Documentation

## ◆ create()

ImagePixelData::Ptr OpenGLImageType::create | ( | Image::PixelFormat | ,
|  | int | width,
|  | int | height,
|  | bool | shouldClearImage
| ) |  | const
| overridevirtual

Creates a new image of this type, and the specified parameters.

Implements ImageType.

## ◆ getTypeID()

int OpenGLImageType::getTypeID | ( |  | ) | const
| overridevirtual

Must return a unique number to identify this type.

Implements ImageType.

## ◆ getFrameBufferFrom()

static OpenGLFrameBuffer * OpenGLImageType::getFrameBufferFrom | ( | const Image & |  | ) |
| static

The documentation for this class was generated from the following file:

- juce_OpenGLImage.h